| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Attrib::Data2DArray Class Reference
AttributeEngine

Class that holds 2d seismic data or attribute data in an array. More...

`#include <attribdataholder.h>`

Inheritance diagram for Attrib::Data2DArray:
[legend]

## Public Member Functions
| Data2DArray (const Data2DHolder &)
int | indexOf (int tracenr) const
bool | isEmpty () const
bool | isOK () const
int | nrTraces () const
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const

## Public Attributes
TrcKeyZSampling | cubesampling_
Array3DImpl< float > * | dataset_ = nullptr
ObjectSet< SeisTrcInfo > | trcinfoset_

## Protected Member Functions
virtual | ~Data2DArray ()
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)

## Additional Inherited Members
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)

## Detailed Description

Class that holds 2d seismic data or attribute data in an array.

<>

## Constructor & Destructor Documentation

## ◆ Data2DArray()

Attrib::Data2DArray::Data2DArray | ( | const Data2DHolder & |  | ) |

## ◆ ~Data2DArray()

virtual Attrib::Data2DArray::~Data2DArray | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ indexOf()

int Attrib::Data2DArray::indexOf | ( | int | tracenr | ) | const

## ◆ isEmpty()

bool Attrib::Data2DArray::isEmpty | ( |  | ) | const
| inline

## ◆ isOK()

bool Attrib::Data2DArray::isOK | ( |  | ) | const

## ◆ nrTraces()

int Attrib::Data2DArray::nrTraces | ( |  | ) | const

## Member Data Documentation

## ◆ cubesampling_

TrcKeyZSampling Attrib::Data2DArray::cubesampling_

## ◆ dataset_

Array3DImpl<float>* Attrib::Data2DArray::dataset_ = nullptr

## ◆ trcinfoset_

ObjectSet<SeisTrcInfo> Attrib::Data2DArray::trcinfoset_

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025